RAWTRAN(1)

NAME
rawtran - RAW to FITS converter

SYNOPSIS
rawtran [options] file(s)

DESCRIPTION
Rawtran is an utility to convert of raw photos in .CR2, .CRW, MRW, NEF, RAF, etc. formats to the general astronomical FITS image format [4]. The identification of raw photo type and decoding itself is done via DCRAW utility by D.Coffin [2]. Dcraw should be available independently.

This manual page summarises usage only. Visit homepage [1] for additional description.

OPTIONS

-c [X|Y|Z|R|V|B|clear|scotopic], [Ri,Gi,Gi1,Gi2,Bi] or [plain,all]
    Select a colour band.

-o filename
    Specify an output file name. If this option is not used, the output filename is determined from the input: any suffix like *.CR2 is replaced by *.fits. Precede the filename with exclamation point(!) to overwrite an existing file.

--no-clobber
    do not overwrite an existing file

-eV Values are stored as an energy-like rather than photon-like quantity.

-D RAW dark filename
    Use the raw photo as a dark frame. Rawtran will try to convert the file to PGM format by the dcraw recommended command `dcraw -D -4 -j -t 0 file.RAW' and pass it as `dcraw -K file.pgm'. Note that sometimes can be necessary to switch-off automatic frame rotation by using -A "-t 0" option.

-E FITS dark filename
    Use the FITS file as a dark frame. The FITS file must be previously converted as `dcraw -D -4 -j -t 0 dark.RAW'.

-C options
    Conversions options for dcraw. Default is '-4 -o 5' for standard photometry filters and '-4 -D' for instrumental bands. Defaults are usually satisfactory

-X options
    Specify options to conversion by dcraw itself. One represents default parameters: '-q 3 -w'. See also -A.

-A options
    Specify additional options to dcraw itself. If you passed an option with parameter or more options, please, enclose ones to quotes or apostrophes. In doubts, use -X "-v" to show detailed description of conversion by dcraw.

-h, --help
    Show summary of options.

--version
    Display software version.

EXIT STATUS
0 indicates successful run. A non-zero value is returned when an error occurred during conversion: 1 means and general error, 2 any RAW file(s) conversion has failed. If the utility is launched without options or with -h switch, zero means that rawtran's internal checker can run dcraw binary and non-zero value otherwise.

EXAMPLES
Produce a colour FITS and show it in xmunipack:

$ rawtran -o IMG_0666.fits IMG_0666.CR2
$ xmunipack IMG_0666.fits

A large set of RAW images can be converted as:

$ rawtran *.CR2

Convert an image to be equivalent to humans eye brightness sensitivity at day:

$ rawtran -c Y -o IMG_0666_Y.fits IMG_0666.CR2

Convert an image to be nearly equivalent to Landolt's B filter:

$ rawtran -c B -o IMG_0666_B.fits IMG_0666.CR2

Get green component of RAW:

$ rawtran -c Gi -o IMG_0666_Gi.fits IMG_0666.CR2

Subtract dark frame:

$ rawtran -D IMG_DARK.CR2 IMG_0666.CR2

AUTHOR
Filip Hroch <hroch@physics.muni.cz>

SEE ALSO
dcraw(1), fitspng(1)

[1] Rawtran homepage: http://integral.physics.muni.cz/rawtran,

[2] Dcraw homepage: http://cybercom.net/~dcoffin/dcraw/,

[3] http://munipack.physics.muni.cz/

[4] http://fits.gsfc.nasa.gov/

[5] http://integral.physics.muni.cz/fitspng